Merhaba;

Bir arkadaşım ile Maven Web projesi yazmaya başladık, arkadaşım rahat bir şekilde yazıyor ama aynı projeyi Maven Projesi olarak import ediyorum ama çalıştıramıyorum malesef.

Şu şekilde bir hata alıyorum;

Cannot change version of project facet Dynamic Web Module to 2.5.

Hatanın ekran görüntüsü de şu şekilde; alt text

Yardımcı olursanız çok sevinirim. şimdiden teşekkür ederim.

soruldu: 13 May '14, 07:51

SercanTogrul's gravatar image

SercanTogrul
1256815
cevap kabul oranı: 11%


Projeyi sağ tıkla. Properties menüsü içerisinde Project Facets seçeneği var. Onu seçtiğinde "Dynamic Web Module"ün versiyonunu görürsün. Bu versiyon ile web.xml'in en üst kısmında tanımlanan versiyon numaraları aynı olmak durumunda.

permanent link

cevaplandı: 13 May '14, 08:02

SaRPaRDa's gravatar image

SaRPaRDa
5.0k213165
cevap kabul oranı: 27%

onu yapıyorum, normalde 3.0 geliyor, 2.5 yapınca bu hatayı alıyorum. extra birşey yüklemem mi gerekiyor ?

HATA RESMİ;

http://i.hizliresim.com/Vp3PBn.png

(13 May '14, 08:07) SercanTogrul SercanTogrul's gravatar image

web.xml?

web-app xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://java.sun.com/xml/ns/javaee" xsi:schemaLocation="http://java.sun.com/xml/ns/javaee http://java.sun.com/xml/ns/javaee/web-app_2_5.xsd" id="WebApp_ID" version="2.5"

(13 May '14, 08:09) SaRPaRDa SaRPaRDa's gravatar image

web-app xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://java.sun.com/xml/ns/javaee" xsi:schemaLocation="http://java.sun.com/xml/ns/javaee http://java.sun.com/xml/ns/javaee/web-app_2_5.xsd" id="WebApp_ID" version="2.5"

evet aynı şekilde.

(13 May '14, 08:17) SercanTogrul SercanTogrul's gravatar image

Her iki tanımıda 3.0 yaptıktan sonra Maven- Update yap.

(13 May '14, 08:19) SaRPaRDa SaRPaRDa's gravatar image

hocam onuda yaptım bu seferde böyle bi hata geldi :)

http://i.hizliresim.com/4mGP24.png

(13 May '14, 08:33) SercanTogrul SercanTogrul's gravatar image

Bilgisayarına hangi java sürümünü yükledin? Yüklediğin java sürümü 1.6 ve yukarısında bir versiyon olmalı. Eğer java sürümün 1.6 ve üstü ise yine Project Facet içerisinden kendi java sürümünü seç.

(13 May '14, 08:45) SaRPaRDa SaRPaRDa's gravatar image

hocam olmuyor, 1.7 yüklü build path'ten onu seçiyorum fakat yine sıkıntı. bir türlü çözemedik. en sonunda format atacağım bilgisayarı.

(13 May '14, 09:13) SercanTogrul SercanTogrul's gravatar image

Build path + Project Facets + (eğer kullanıyorsan) pom.xml içerisindeki maven-compiler-plugin'de java versiyonları tanımlanıyor.

(13 May '14, 09:19) SaRPaRDa SaRPaRDa's gravatar image
8 yorumdan 5 tanesi gösteriliyor hepsini göster
Cevabınız
toggle preview

Bu soruyu takip et

E-Posta üzerinden:

Üyelik girişi yaptıktan sonra abonelik işlemlerini yapabilirsiniz

RSS üzerinden:

Cevaplar

Cevaplar ve Yorumlar

Yazı Formatlama

  • *italic* ya da _italic_
  • **bold** ya da __bold__
  • link:[text](http://url.com/ "başlık")
  • resim?![alt text](/path/img.jpg "başlık")
  • liste: 1. Foo 2. Bar
  • temel HTML etiketleri de kullanılabilir

Bu sorunun etiketleri:

×90
×29
×25
×1

Soruldu: 13 May '14, 07:51

Görüntüleme: 1,026 kez

Son güncelleme: 13 May '14, 09:19

powered by BitNami OSQA